Configurations (Core)
Endpoints to update and read general configuration of fulfillmenttools.
Gdpr configuration was found & you were allowed to access it. The result is in the body.
GdprConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525Z42If true, the actor information will be stored anonymized for auditing. Might take up to 1 hour to be take into effect
trueExample: trueNumber of days since anonymization until deletion is triggered
30Number of days after that anonymization is triggered.
30Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Gdpr configuration not found
GET /api/configurations/gdpr HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"actorAnonymization": true,
"deletionTimeAfterRetention": 30,
"id": "text",
"retentionTime": 30,
"version": 42,
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}GdprConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525Z42If true, the actor information will be stored anonymized for auditing. Might take up to 1 hour to be take into effect
trueExample: trueNumber of days since anonymization until deletion is triggered
30Number of days after that anonymization is triggered.
30Gdpr configuration was written successfully
GdprConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525Z42If true, the actor information will be stored anonymized for auditing. Might take up to 1 hour to be take into effect
trueExample: trueNumber of days since anonymization until deletion is triggered
30Number of days after that anonymization is triggered.
30Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Gdpr configuration not found
PUT /api/configurations/gdpr HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182
{
"actorAnonymization": true,
"deletionTimeAfterRetention": 30,
"id": "text",
"retentionTime": 30,
"version": 42,
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}{
"actorAnonymization": true,
"deletionTimeAfterRetention": 30,
"id": "text",
"retentionTime": 30,
"version": 42,
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}The locale Configuration can be found in the body.
LocaleConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42This part of the API is in Beta status. For details, see the API release lifecycle documentation.
ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)
de_DEPossible values: Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/configurations/locale HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"countryLanguageMapping": {
"DE": "de_DE",
"RU": "ru_RU",
"US": "en_US"
},
"id": "text",
"locale": "de_DE",
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}LocaleConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42This part of the API is in Beta status. For details, see the API release lifecycle documentation.
ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)
de_DEPossible values: The locale Configuration was successfully set.
LocaleConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42This part of the API is in Beta status. For details, see the API release lifecycle documentation.
ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)
de_DEPossible values: Invalid input. See response for details
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/configurations/locale HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 188
{
"countryLanguageMapping": {
"DE": "de_DE",
"RU": "ru_RU",
"US": "en_US"
},
"id": "text",
"locale": "de_DE",
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}{
"countryLanguageMapping": {
"DE": "de_DE",
"RU": "ru_RU",
"US": "en_US"
},
"id": "text",
"locale": "de_DE",
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}The supported locales can be found in the body.
SupportedLocales
This part of the API is in Beta status. For details, see the API release lifecycle documentation.
ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)
de_DEPossible values: Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/configurations/supportedlocales HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
"de_DE"
]Tenant configuration was found & you were allowed to access it. The result is in the body.
TenantConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Tenant configuration not found
GET /api/configurations/tenant HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"clearName": "text",
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}Upsert tenant configuration
TenantConfigurationForUpsert
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZTenant configuration was written successfully
TenantConfiguration
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Tenant configuration not found
PUT /api/configurations/tenant HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 112
{
"clearName": "text",
"version": 42,
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z"
}{
"clearName": "text",
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for RemoteConfiguration
RemoteConfigurationSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
RemoteConfigurationPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/remoteconfigurations/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2004
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"groups": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"key": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"scopes": {
"contains": {
"facilityRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"userRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
]
},
"exists": true
}
}
],
"groups": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"key": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"groups": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"key": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"scopes": {
"contains": {
"facilityRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"userRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
]
},
"exists": true
}
}
],
"scopes": {
"contains": {
"facilityRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"userRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
]
},
"exists": true
}
}
],
"groups": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"key": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"groups": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"key": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"scopes": {
"contains": {
"facilityRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"userRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
]
},
"exists": true
}
}
],
"scopes": {
"contains": {
"facilityRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"userRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
]
},
"exists": true
}
},
"size": 10
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"remoteConfigurations": [
{
"created": "2026-01-01T00:00:00.000Z",
"flattenScopeIds": [
"INVENTORY",
"67151fc3-3ce1-400e-8b23-23c29e0cde90"
],
"groups": [
"INVENTORY"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"key": "PICKING_SHOW_NEW_SCAN_VIEW",
"lastModified": "2026-01-01T00:00:00.000Z",
"scopes": [
{
"facilityRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
],
"id": "LGMl2DuvPnfPoSHhYFOm",
"userRefs": [
"928f3730-bc48-4d85-b83f-3fd86b776178"
]
}
],
"value": "text",
"valueType": "BOOLEAN",
"version": 1
}
],
"total": 1
}Last updated
Was this helpful?

